/* Usage: java usrbincrash_test <w> <n> <seed> <output_file>
 * w is the weight to be jettisoned.
 * n is the number of distinct SKUs.
 * seed is a 64-bit integer used to seed the random number generator.
 */
public class usrbincrash_test {
  public static void main(String[] args) {
    int w = Integer.parseInt(args[0]);
    int n = Integer.parseInt(args[1]);
    if (n < 1) {
      System.exit(1);
    }
    long seed = Long.parseLong(args[2]);
    java.util.Random r = new java.util.Random(seed);
    Spacer sp = new Spacer(args[3]);
    sp.print(w);
    sp.println();
    for (int i = 0; i < n; i++) {
      long x = Math.round(Math.ceil(Math.pow(w, r.nextDouble() * 2 / 3)));
      long y = x + Math.round(Math.ceil(Math.sqrt(x)));
      sp.printName(i);
      sp.printSpace();
      sp.print((int)x);
      sp.printSpace();
      sp.print((int)y);
      sp.println();
    }
    sp.close((int)seed % 3);
  }
}
